/*
 * Copyright 2010 Google Inc.
 *
 * Licensed under the Apache License, Version 2.0 (the "License"); you may not use this file except
 * in compliance with the License. You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software distributed under the License
 * is distributed on an "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express
 * or implied. See the License for the specific language governing permissions and limitations under
 * the License.
 */
/*
 * Warning! This file is generated. Modify at your own risk.
 */

package com.google.api.services.civicinfo.model;

import com.google.api.client.json.GenericJson;

/**
 * Information about individual election officials.
 *
 * <p> This is the Java data model class that specifies how to parse/serialize into the JSON that is
 * transmitted over HTTP when working with the Google Civic Information API. For a detailed
 * explanation see:
 * <a href="http://code.google.com/p/google-api-java-client/wiki/Json">http://code.google.com/p/google-api-java-client/wiki/Json</a>
 * </p>
 *
 * <p>
 * Upgrade warning: starting with version 1.12 {@code getResponseHeaders()} is removed, instead use
 * {@link com.google.api.client.http.json.JsonHttpRequest#getLastResponseHeaders()}
 * </p>
 *
 * @author Google, Inc.
 */
@SuppressWarnings("javadoc")
public final class ElectionOfficial extends GenericJson {

  /**
   * The email address of the election official.
   * The value may be {@code null}.
   */
  @com.google.api.client.util.Key
  private String emailAddress;

  /**
   * The fax number of the election official.
   * The value may be {@code null}.
   */
  @com.google.api.client.util.Key
  private String faxNumber;

  /**
   * The full name of the election official.
   * The value may be {@code null}.
   */
  @com.google.api.client.util.Key
  private String name;

  /**
   * The office phone number of the election official.
   * The value may be {@code null}.
   */
  @com.google.api.client.util.Key
  private String officePhoneNumber;

  /**
   * The title of the election official.
   * The value may be {@code null}.
   */
  @com.google.api.client.util.Key
  private String title;

  /**
   * The email address of the election official.
   * The value returned may be {@code null}.
   */
  public String getEmailAddress() {
    return emailAddress;
  }

  /**
   * The email address of the election official.
   * The value set may be {@code null}.
   */
  public ElectionOfficial setEmailAddress(String emailAddress) {
    this.emailAddress = emailAddress;
    return this;
  }

  /**
   * The fax number of the election official.
   * The value returned may be {@code null}.
   */
  public String getFaxNumber() {
    return faxNumber;
  }

  /**
   * The fax number of the election official.
   * The value set may be {@code null}.
   */
  public ElectionOfficial setFaxNumber(String faxNumber) {
    this.faxNumber = faxNumber;
    return this;
  }

  /**
   * The full name of the election official.
   * The value returned may be {@code null}.
   */
  public String getName() {
    return name;
  }

  /**
   * The full name of the election official.
   * The value set may be {@code null}.
   */
  public ElectionOfficial setName(String name) {
    this.name = name;
    return this;
  }

  /**
   * The office phone number of the election official.
   * The value returned may be {@code null}.
   */
  public String getOfficePhoneNumber() {
    return officePhoneNumber;
  }

  /**
   * The office phone number of the election official.
   * The value set may be {@code null}.
   */
  public ElectionOfficial setOfficePhoneNumber(String officePhoneNumber) {
    this.officePhoneNumber = officePhoneNumber;
    return this;
  }

  /**
   * The title of the election official.
   * The value returned may be {@code null}.
   */
  public String getTitle() {
    return title;
  }

  /**
   * The title of the election official.
   * The value set may be {@code null}.
   */
  public ElectionOfficial setTitle(String title) {
    this.title = title;
    return this;
  }

}
